up2date doesnt work anymore! - Redhat

This is a discussion on up2date doesnt work anymore! - Redhat ; I get this (from the console, if I launch it from menu it just freezes). .... An error has occurred: exceptions.ValueError See /var/log/up2date for more information It happens after: Fetching rpm header: system-config-nfs-1.3.19-0.fc4.2 - but it happened also with other ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: up2date doesnt work anymore!

  1. up2date doesnt work anymore!

    I get this (from the console, if I launch it from menu it just
    freezes).
    ....
    An error has occurred:
    exceptions.ValueError
    See /var/log/up2date for more information

    It happens after:
    Fetching rpm header: system-config-nfs-1.3.19-0.fc4.2 - but it happened
    also with other packages in other cases.

    RPM version: up2date-4.4.23-4, up2date-gnome-4.4.23-4


    last lines in the log:
    ....
    [Mon Apr 3 11:51:14 2006] up2date File "/usr/sbin/up2date", line
    1265, in ?
    sys.exit(main() or 0)
    File "/usr/sbin/up2date", line 891, in main
    gui.main()
    File "/usr/share/rhn/up2date_client/gui.py", line 2158, in main
    gtk.mainloop()
    File
    "/usr/src/build/612051-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py",
    line 70, in __call__
    File "/usr/share/rhn/up2date_client/gui.py", line 1377, in
    onSkippedPagePrepare
    self.__preparePackageList()
    File "/usr/share/rhn/up2date_client/gui.py", line 1263, in
    __preparePackageList
    self.pList.run()
    File "/usr/share/rhn/up2date_client/packageList.py", line 132, in
    run
    progressCallback = self.progressCallback )
    File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 420, in
    obsoletesList
    progressCallback = progressCallback )
    File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in
    doCall
    ret = apply(method, args, kwargs)
    File "/usr/share/rhn/up2date_client/repoDirector.py", line 28, in
    getObsoletes
    return self.handlers[channel['type']].getObsoletes(channel,
    msgCallback, progressCallback)
    File "/usr/share/rhn/up2date_client/rpmSource.py", line 252, in
    getObsoletes
    msgCallback, progressCallback)
    File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    line 173, in getObsoletes
    self.initRepo()
    File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    line 123, in initRepo
    log.trace_me()
    File "/usr/share/rhn/up2date_client/up2dateLog.py", line 35, in
    trace_me
    x = traceback.extract_stack()

    [Mon Apr 3 11:51:14 2006] up2date File
    "/usr/share/rhn/up2date_client/gui.py", line 1393, in
    onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8


    thanks for any info!

    Alessandro Magni


  2. Re: up2date doesnt work anymore!

    alexxx.magni@gmail.com wrote:
    > I get this (from the console, if I launch it from menu it just
    > freezes).
    > ...
    > An error has occurred:
    > exceptions.ValueError
    > See /var/log/up2date for more information
    >
    > It happens after:
    > Fetching rpm header: system-config-nfs-1.3.19-0.fc4.2 - but it happened
    > also with other packages in other cases.
    >
    > RPM version: up2date-4.4.23-4, up2date-gnome-4.4.23-4
    >
    >
    > last lines in the log:
    > ...
    > [Mon Apr 3 11:51:14 2006] up2date File "/usr/sbin/up2date", line
    > 1265, in ?
    > sys.exit(main() or 0)
    > File "/usr/sbin/up2date", line 891, in main
    > gui.main()
    > File "/usr/share/rhn/up2date_client/gui.py", line 2158, in main
    > gtk.mainloop()
    > File
    > "/usr/src/build/612051-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py",
    > line 70, in __call__
    > File "/usr/share/rhn/up2date_client/gui.py", line 1377, in
    > onSkippedPagePrepare
    > self.__preparePackageList()
    > File "/usr/share/rhn/up2date_client/gui.py", line 1263, in
    > __preparePackageList
    > self.pList.run()
    > File "/usr/share/rhn/up2date_client/packageList.py", line 132, in
    > run
    > progressCallback = self.progressCallback )
    > File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 420, in
    > obsoletesList
    > progressCallback = progressCallback )
    > File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in
    > doCall
    > ret = apply(method, args, kwargs)
    > File "/usr/share/rhn/up2date_client/repoDirector.py", line 28, in
    > getObsoletes
    > return self.handlers[channel['type']].getObsoletes(channel,
    > msgCallback, progressCallback)
    > File "/usr/share/rhn/up2date_client/rpmSource.py", line 252, in
    > getObsoletes
    > msgCallback, progressCallback)
    > File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    > line 173, in getObsoletes
    > self.initRepo()
    > File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    > line 123, in initRepo
    > log.trace_me()
    > File "/usr/share/rhn/up2date_client/up2dateLog.py", line 35, in
    > trace_me
    > x = traceback.extract_stack()
    >
    > [Mon Apr 3 11:51:14 2006] up2date File
    > "/usr/share/rhn/up2date_client/gui.py", line 1393, in
    > onSkippedPagePrepare
    > maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
    >
    >
    > thanks for any info!
    >
    > Alessandro Magni
    >


    It never worked very well anyway. Just open a terminal and type "yum -y
    update". That always works.

    ....kurt

  3. Re: up2date doesnt work anymore!

    alexxx.magni@gmail.com wrote:
    > I get this (from the console, if I launch it from menu it just
    > freezes).
    > ...
    > An error has occurred:
    > exceptions.ValueError
    > See /var/log/up2date for more information
    >
    > It happens after:
    > Fetching rpm header: system-config-nfs-1.3.19-0.fc4.2 - but it happened
    > also with other packages in other cases.
    >
    > RPM version: up2date-4.4.23-4, up2date-gnome-4.4.23-4
    >
    >
    > last lines in the log:
    > ...
    > [Mon Apr 3 11:51:14 2006] up2date File "/usr/sbin/up2date", line
    > 1265, in ?
    > sys.exit(main() or 0)
    > File "/usr/sbin/up2date", line 891, in main
    > gui.main()
    > File "/usr/share/rhn/up2date_client/gui.py", line 2158, in main
    > gtk.mainloop()
    > File
    > "/usr/src/build/612051-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py",
    > line 70, in __call__
    > File "/usr/share/rhn/up2date_client/gui.py", line 1377, in
    > onSkippedPagePrepare
    > self.__preparePackageList()
    > File "/usr/share/rhn/up2date_client/gui.py", line 1263, in
    > __preparePackageList
    > self.pList.run()
    > File "/usr/share/rhn/up2date_client/packageList.py", line 132, in
    > run
    > progressCallback = self.progressCallback )
    > File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 420, in
    > obsoletesList
    > progressCallback = progressCallback )
    > File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in
    > doCall
    > ret = apply(method, args, kwargs)
    > File "/usr/share/rhn/up2date_client/repoDirector.py", line 28, in
    > getObsoletes
    > return self.handlers[channel['type']].getObsoletes(channel,
    > msgCallback, progressCallback)
    > File "/usr/share/rhn/up2date_client/rpmSource.py", line 252, in
    > getObsoletes
    > msgCallback, progressCallback)
    > File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    > line 173, in getObsoletes
    > self.initRepo()
    > File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    > line 123, in initRepo
    > log.trace_me()
    > File "/usr/share/rhn/up2date_client/up2dateLog.py", line 35, in
    > trace_me
    > x = traceback.extract_stack()
    >
    > [Mon Apr 3 11:51:14 2006] up2date File
    > "/usr/share/rhn/up2date_client/gui.py", line 1393, in
    > onSkippedPagePrepare
    > maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
    >
    >
    > thanks for any info!
    >
    > Alessandro Magni
    >


    It never worked very well anyway. Just open a terminal and type "yum -y
    update". That always works.

    ....kurt

  4. Re: up2date doesnt work anymore!

    alexxx.magni@gmail.com wrote:
    > I get this (from the console, if I launch it from menu it just
    > freezes).
    > ...
    > An error has occurred:
    > exceptions.ValueError
    > See /var/log/up2date for more information
    >
    > It happens after:
    > Fetching rpm header: system-config-nfs-1.3.19-0.fc4.2 - but it happened
    > also with other packages in other cases.
    >
    > RPM version: up2date-4.4.23-4, up2date-gnome-4.4.23-4
    >
    >
    > last lines in the log:
    > ...
    > [Mon Apr 3 11:51:14 2006] up2date File "/usr/sbin/up2date", line
    > 1265, in ?
    > sys.exit(main() or 0)
    > File "/usr/sbin/up2date", line 891, in main
    > gui.main()
    > File "/usr/share/rhn/up2date_client/gui.py", line 2158, in main
    > gtk.mainloop()
    > File
    > "/usr/src/build/612051-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py",
    > line 70, in __call__
    > File "/usr/share/rhn/up2date_client/gui.py", line 1377, in
    > onSkippedPagePrepare
    > self.__preparePackageList()
    > File "/usr/share/rhn/up2date_client/gui.py", line 1263, in
    > __preparePackageList
    > self.pList.run()
    > File "/usr/share/rhn/up2date_client/packageList.py", line 132, in
    > run
    > progressCallback = self.progressCallback )
    > File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 420, in
    > obsoletesList
    > progressCallback = progressCallback )
    > File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in
    > doCall
    > ret = apply(method, args, kwargs)
    > File "/usr/share/rhn/up2date_client/repoDirector.py", line 28, in
    > getObsoletes
    > return self.handlers[channel['type']].getObsoletes(channel,
    > msgCallback, progressCallback)
    > File "/usr/share/rhn/up2date_client/rpmSource.py", line 252, in
    > getObsoletes
    > msgCallback, progressCallback)
    > File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    > line 173, in getObsoletes
    > self.initRepo()
    > File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py",
    > line 123, in initRepo
    > log.trace_me()
    > File "/usr/share/rhn/up2date_client/up2dateLog.py", line 35, in
    > trace_me
    > x = traceback.extract_stack()
    >
    > [Mon Apr 3 11:51:14 2006] up2date File
    > "/usr/share/rhn/up2date_client/gui.py", line 1393, in
    > onSkippedPagePrepare
    > maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
    >
    >
    > thanks for any info!
    >
    > Alessandro Magni
    >


    It never worked very well anyway. Just open a terminal and type "yum -y
    update". That always works.

    ....kurt

+ Reply to Thread